## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionComparison

### Workflow::ezcWorkflowConditionComparison

### Class ezcWorkflowConditionComparison

Abstract base class for comparison conditions.

Source for this file: /Workflow/src/interfaces/condition_comparison.php

### Implements interfaces:

- ezcWorkflowCondition

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowConditionIsEqualOrLessThan | Condition that evaluates to true if the provided value is less than or equal to the reference value.
ezcWorkflowConditionIsGreaterThan | Condition that evaluates to true if the provided value is greater than the reference value.
ezcWorkflowConditionIsEqual | Condition that checks if a value is equal to a reference value.
ezcWorkflowConditionIsEqualOrGreaterThan | Condition that evaluates to true if the provided value is greater than or equal to the reference value.
ezcWorkflowConditionIsLessThan | Condition that evaluates to true if the provided value is less than the reference value.
ezcWorkflowConditionIsNotEqual | Condition that checks if a value is different from a reference value.
ezcWorkflowConditionInArray | Condition that checks if a value is in an array.

### Member Variables

protected mixed | `$operator = ''` Textual representation of the comparison operator.
protected mixed | `$value` The value that this condition compares against.

### Method Summary

public ezcWorkflowConditionComparison | `__construct( [ $value = null] )` Constructs a new comparison condition.

### Methods

#### __construct

ezcWorkflowConditionComparison __construct( [mixed $value = null] )

Constructs a new comparison condition.

Implemenations will compare $value to the value provided to evaluate().

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | mixed |

Documentation generated by phpDocumentor 1.4.3